<?php



$tdatatb_itens_higiene = array();
$tdatatb_itens_higiene[".searchableFields"] = array();
$tdatatb_itens_higiene[".ShortName"] = "tb_itens_higiene";
$tdatatb_itens_higiene[".OwnerID"] = "";
$tdatatb_itens_higiene[".OriginalTable"] = "tb_itens_higiene";


$tdatatb_itens_higiene[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_itens_higiene[".originalPagesByType"] = $tdatatb_itens_higiene[".pagesByType"];
$tdatatb_itens_higiene[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_itens_higiene[".originalPages"] = $tdatatb_itens_higiene[".pages"];
$tdatatb_itens_higiene[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_itens_higiene[".originalDefaultPages"] = $tdatatb_itens_higiene[".defaultPages"];

//	field labels
$fieldLabelstb_itens_higiene = array();
$fieldToolTipstb_itens_higiene = array();
$pageTitlestb_itens_higiene = array();
$placeHolderstb_itens_higiene = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_itens_higiene["English"] = array();
	$fieldToolTipstb_itens_higiene["English"] = array();
	$placeHolderstb_itens_higiene["English"] = array();
	$pageTitlestb_itens_higiene["English"] = array();
	$fieldLabelstb_itens_higiene["English"]["itensID"] = "Itens ID";
	$fieldToolTipstb_itens_higiene["English"]["itensID"] = "";
	$placeHolderstb_itens_higiene["English"]["itensID"] = "";
	$fieldLabelstb_itens_higiene["English"]["pacID"] = "Pac ID";
	$fieldToolTipstb_itens_higiene["English"]["pacID"] = "";
	$placeHolderstb_itens_higiene["English"]["pacID"] = "";
	$fieldLabelstb_itens_higiene["English"]["categoria"] = "Categoria";
	$fieldToolTipstb_itens_higiene["English"]["categoria"] = "";
	$placeHolderstb_itens_higiene["English"]["categoria"] = "";
	$fieldLabelstb_itens_higiene["English"]["item"] = "Item";
	$fieldToolTipstb_itens_higiene["English"]["item"] = "";
	$placeHolderstb_itens_higiene["English"]["item"] = "";
	$fieldLabelstb_itens_higiene["English"]["perodicidade"] = "Perodicidade";
	$fieldToolTipstb_itens_higiene["English"]["perodicidade"] = "";
	$placeHolderstb_itens_higiene["English"]["perodicidade"] = "";
	$fieldLabelstb_itens_higiene["English"]["consumo_diario"] = "Consumo/Diário ";
	$fieldToolTipstb_itens_higiene["English"]["consumo_diario"] = "";
	$placeHolderstb_itens_higiene["English"]["consumo_diario"] = "";
	$fieldLabelstb_itens_higiene["English"]["reserva_tec"] = "Reserva/Técnica ";
	$fieldToolTipstb_itens_higiene["English"]["reserva_tec"] = "";
	$placeHolderstb_itens_higiene["English"]["reserva_tec"] = "";
	$fieldLabelstb_itens_higiene["English"]["vigente"] = "Vigente";
	$fieldToolTipstb_itens_higiene["English"]["vigente"] = "";
	$placeHolderstb_itens_higiene["English"]["vigente"] = "";
	$fieldLabelstb_itens_higiene["English"]["observacao"] = "Observação ";
	$fieldToolTipstb_itens_higiene["English"]["observacao"] = "";
	$placeHolderstb_itens_higiene["English"]["observacao"] = "";
	if (count($fieldToolTipstb_itens_higiene["English"]))
		$tdatatb_itens_higiene[".isUseToolTips"] = true;
}


	$tdatatb_itens_higiene[".NCSearch"] = true;



$tdatatb_itens_higiene[".shortTableName"] = "tb_itens_higiene";
$tdatatb_itens_higiene[".nSecOptions"] = 0;

$tdatatb_itens_higiene[".mainTableOwnerID"] = "";
$tdatatb_itens_higiene[".entityType"] = 0;

$tdatatb_itens_higiene[".strOriginalTableName"] = "tb_itens_higiene";

	



$tdatatb_itens_higiene[".showAddInPopup"] = false;

$tdatatb_itens_higiene[".showEditInPopup"] = false;

$tdatatb_itens_higiene[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_itens_higiene[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_itens_higiene[".listAjax"] = false;
//	temporary
$tdatatb_itens_higiene[".listAjax"] = false;

	$tdatatb_itens_higiene[".audit"] = false;

	$tdatatb_itens_higiene[".locking"] = false;


$pages = $tdatatb_itens_higiene[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_itens_higiene[".edit"] = true;
	$tdatatb_itens_higiene[".afterEditAction"] = 0;
	$tdatatb_itens_higiene[".closePopupAfterEdit"] = 1;
	$tdatatb_itens_higiene[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_itens_higiene[".add"] = true;
$tdatatb_itens_higiene[".afterAddAction"] = 1;
$tdatatb_itens_higiene[".closePopupAfterAdd"] = 1;
$tdatatb_itens_higiene[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_itens_higiene[".list"] = true;
}



$tdatatb_itens_higiene[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_itens_higiene[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_itens_higiene[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_itens_higiene[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_itens_higiene[".printFriendly"] = true;
}



$tdatatb_itens_higiene[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_itens_higiene[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_itens_higiene[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_itens_higiene[".isUseAjaxSuggest"] = true;

$tdatatb_itens_higiene[".rowHighlite"] = true;





$tdatatb_itens_higiene[".ajaxCodeSnippetAdded"] = false;

$tdatatb_itens_higiene[".buttonsAdded"] = false;

$tdatatb_itens_higiene[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_itens_higiene[".isUseTimeForSearch"] = false;


$tdatatb_itens_higiene[".badgeColor"] = "db7093";


$tdatatb_itens_higiene[".allSearchFields"] = array();
$tdatatb_itens_higiene[".filterFields"] = array();
$tdatatb_itens_higiene[".requiredSearchFields"] = array();

$tdatatb_itens_higiene[".googleLikeFields"] = array();
$tdatatb_itens_higiene[".googleLikeFields"][] = "itensID";
$tdatatb_itens_higiene[".googleLikeFields"][] = "pacID";
$tdatatb_itens_higiene[".googleLikeFields"][] = "categoria";
$tdatatb_itens_higiene[".googleLikeFields"][] = "item";
$tdatatb_itens_higiene[".googleLikeFields"][] = "perodicidade";
$tdatatb_itens_higiene[".googleLikeFields"][] = "consumo_diario";
$tdatatb_itens_higiene[".googleLikeFields"][] = "reserva_tec";
$tdatatb_itens_higiene[".googleLikeFields"][] = "vigente";
$tdatatb_itens_higiene[".googleLikeFields"][] = "observacao";



$tdatatb_itens_higiene[".tableType"] = "list";

$tdatatb_itens_higiene[".printerPageOrientation"] = 0;
$tdatatb_itens_higiene[".nPrinterPageScale"] = 100;

$tdatatb_itens_higiene[".nPrinterSplitRecords"] = 40;

$tdatatb_itens_higiene[".geocodingEnabled"] = false;










$tdatatb_itens_higiene[".pageSize"] = 20;

$tdatatb_itens_higiene[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_itens_higiene[".strOrderBy"] = $tstrOrderBy;

$tdatatb_itens_higiene[".orderindexes"] = array();

$tdatatb_itens_higiene[".sqlHead"] = "SELECT itensID,  	pacID,  	categoria,  	item,  	perodicidade,  	consumo_diario,  	reserva_tec,  	vigente,  	observacao";
$tdatatb_itens_higiene[".sqlFrom"] = "FROM tb_itens_higiene";
$tdatatb_itens_higiene[".sqlWhereExpr"] = "";
$tdatatb_itens_higiene[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_itens_higiene[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_itens_higiene[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_itens_higiene[".highlightSearchResults"] = true;

$tableKeystb_itens_higiene = array();
$tableKeystb_itens_higiene[] = "itensID";
$tdatatb_itens_higiene[".Keys"] = $tableKeystb_itens_higiene;


$tdatatb_itens_higiene[".hideMobileList"] = array();




//	itensID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "itensID";
	$fdata["GoodName"] = "itensID";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","itensID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "itensID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "itensID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["itensID"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "itensID";
//	pacID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pacID";
	$fdata["GoodName"] = "pacID";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","pacID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pacID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pacID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["pacID"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "pacID";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","categoria");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_catgitens_consumo";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "catg_id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "categoria";

	

	
	$edata["LookupOrderBy"] = "categoria";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "item";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["categoria"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "categoria";
//	item
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "item";
	$fdata["GoodName"] = "item";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","item");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "item";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "item";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_itens_consumo";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "itenconsumoID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "item_consumo";

	

	
	$edata["LookupOrderBy"] = "categoria";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "categoria", "lookup" => "categoria" );

		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["item"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "item";
//	perodicidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "perodicidade";
	$fdata["GoodName"] = "perodicidade";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","perodicidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "perodicidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "perodicidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Diária ";
	$edata["LookupValues"][] = "Semanal";
	$edata["LookupValues"][] = "Mensal";
	$edata["LookupValues"][] = "Trimestral";
	$edata["LookupValues"][] = "Semestral";
	$edata["LookupValues"][] = "Anual";
	$edata["LookupValues"][] = "Eventual";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["perodicidade"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "perodicidade";
//	consumo_diario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "consumo_diario";
	$fdata["GoodName"] = "consumo_diario";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","consumo_diario");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "consumo_diario";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "consumo_diario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["consumo_diario"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "consumo_diario";
//	reserva_tec
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "reserva_tec";
	$fdata["GoodName"] = "reserva_tec";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","reserva_tec");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "reserva_tec";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reserva_tec";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["reserva_tec"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "reserva_tec";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["vigente"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "vigente";
//	observacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "observacao";
	$fdata["GoodName"] = "observacao";
	$fdata["ownerTable"] = "tb_itens_higiene";
	$fdata["Label"] = GetFieldLabel("tb_itens_higiene","observacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_itens_higiene["observacao"] = $fdata;
		$tdatatb_itens_higiene[".searchableFields"][] = "observacao";


$tables_data["tb_itens_higiene"]=&$tdatatb_itens_higiene;
$field_labels["tb_itens_higiene"] = &$fieldLabelstb_itens_higiene;
$fieldToolTips["tb_itens_higiene"] = &$fieldToolTipstb_itens_higiene;
$placeHolders["tb_itens_higiene"] = &$placeHolderstb_itens_higiene;
$page_titles["tb_itens_higiene"] = &$pageTitlestb_itens_higiene;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_itens_higiene"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_itens_higiene"] = array();



	
				$strOriginalDetailsTable="tb_paciente";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_paciente";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_paciente";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_itens_higiene"][0] = $masterParams;
				$masterTablesData["tb_itens_higiene"][0]["masterKeys"] = array();
	$masterTablesData["tb_itens_higiene"][0]["masterKeys"][]="pacienteID";
				$masterTablesData["tb_itens_higiene"][0]["detailKeys"] = array();
	$masterTablesData["tb_itens_higiene"][0]["detailKeys"][]="pacID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_itens_higiene()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "itensID,  	pacID,  	categoria,  	item,  	perodicidade,  	consumo_diario,  	reserva_tec,  	vigente,  	observacao";
$proto0["m_strFrom"] = "FROM tb_itens_higiene";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "itensID",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto6["m_sql"] = "itensID";
$proto6["m_srcTableName"] = "tb_itens_higiene";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pacID",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto8["m_sql"] = "pacID";
$proto8["m_srcTableName"] = "tb_itens_higiene";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto10["m_sql"] = "categoria";
$proto10["m_srcTableName"] = "tb_itens_higiene";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "item",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto12["m_sql"] = "item";
$proto12["m_srcTableName"] = "tb_itens_higiene";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "perodicidade",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto14["m_sql"] = "perodicidade";
$proto14["m_srcTableName"] = "tb_itens_higiene";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "consumo_diario",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto16["m_sql"] = "consumo_diario";
$proto16["m_srcTableName"] = "tb_itens_higiene";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "reserva_tec",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto18["m_sql"] = "reserva_tec";
$proto18["m_srcTableName"] = "tb_itens_higiene";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto20["m_sql"] = "vigente";
$proto20["m_srcTableName"] = "tb_itens_higiene";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "observacao",
	"m_strTable" => "tb_itens_higiene",
	"m_srcTableName" => "tb_itens_higiene"
));

$proto22["m_sql"] = "observacao";
$proto22["m_srcTableName"] = "tb_itens_higiene";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "tb_itens_higiene";
$proto25["m_srcTableName"] = "tb_itens_higiene";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "itensID";
$proto25["m_columns"][] = "pacID";
$proto25["m_columns"][] = "categoria";
$proto25["m_columns"][] = "item";
$proto25["m_columns"][] = "perodicidade";
$proto25["m_columns"][] = "consumo_diario";
$proto25["m_columns"][] = "reserva_tec";
$proto25["m_columns"][] = "vigente";
$proto25["m_columns"][] = "observacao";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "tb_itens_higiene";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "tb_itens_higiene";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_itens_higiene";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_itens_higiene = createSqlQuery_tb_itens_higiene();


	
		;

									

$tdatatb_itens_higiene[".sqlquery"] = $queryData_tb_itens_higiene;

$tableEvents["tb_itens_higiene"] = new eventsBase;
$tdatatb_itens_higiene[".hasEvents"] = false;

?>